﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using IndustryConnect.Bootcamp.One.VeryLongNamespace;
using MyTestClassAlias = IndustryConnect.Bootcamp.One.VeryLongNamespace.TestClassTwo<int, string, bool>;

namespace IndustryConnect.Bootcamp.One
{
    public class CreateInstance
    {
        public static void Example()
        {
            // use this way to intialise properties
            var obj = new TestClassOne()
            {
                Name = "test",
                Year = 2013
            };

            // old ways
            var obj2 = new TestClassOne();
            obj2.Name = "test";
            obj.Year = 2013;


            // Use alias defined above
            var obj3 = new MyTestClassAlias()
            {
                Name = "test",
                Year = 2013
            };

            // Instantiate without using alias.
            var obj4 = new TestClassTwo<int, string, bool>
            {
                Name = "test",
                Year = 2013
            };
        }
    }
}

namespace IndustryConnect.Bootcamp.One.VeryLongNamespace
{
    public class TestClassOne
    {
        public string Name { get; set; }
        public int Year { get; set; }
    }

    public class TestClassTwo<T1, T2, T3>
    {
        public string Name { get; set; }
        public int Year { get; set; }

        public void DoSomething(T1 param1, T2 param2, T3 param3)
        {

        }
    }
}