﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IndustryConnect.Bootcamp.One
{
    class DealWithNull
    {
        public static void Example()
        {
            string test = null;

            // Check string null or empty
            if (string.IsNullOrEmpty(test))
            {
                // ...
            }

            // Check string null or empty or whitespace
            if (string.IsNullOrWhiteSpace(test))
            {
                // ...
            }

            // The ?? operator - default value if null.
            var text = test ?? "it is null";
            test.WriteLine();

            // use HasValue to check null for value type variable.
            int? testInt = null;
            if (testInt.HasValue)
            {
                // ...
            }

            // GetValueOrDefault is very handy - return default value of the type if null.
            testInt.GetValueOrDefault().WriteLine();
        }
    }
}
