﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IndustryConnect.Bootcamp.One
{
    public class UseYield
    {
        public static void Example()
        {
            foreach (var item in UseYieldMethod())
            {
                Console.WriteLine(item);
            }
        }

        static IEnumerable<string> UseYieldMethod()
        {
            for (int i = 0; i < 10; i++)
            {
                yield return i.ToString();
            }

            // traditionaly way, but too much code.
            //var list = new List<string>();
            //for (int i = 0; i < 10; i++)
            //{
            //    list.Add(i.ToString());
            //}

            //return list;
        }
    }
}
